Subject: [PATCH 0/9] drivers: mailbox: framework creation

From: [email-masked] (Tony Lindgren)
Date: Thu, 20 Dec 2012 11:33:25 -0800

* Olof Johansson <[email-masked]> [121220 11:22]:
> On Thu, Dec 20, 2012 at 10:28 AM, Tony Lindgren <[email-masked]> wrote:
> > * Linus Walleij <[email-masked]> [121220 10:19]:
> >> On Tue, Dec 18, 2012 at 2:10 PM, Loic Pallardy
> >> <[email-masked]> wrote:
> >>
> >> > OMAP and ST-Ericsson platforms are both using mailbox to communicate
> >> > with some coprocessors.
> >> > Based on OMAP existing mailbox framework, this series proposes a
> >> > generic framework, living under drivers/mailbox.
> >>
> >> I like this patch series so you have my Acked-by.
> >>
> >> Since it's a new subsystem and affects a few ARM architectures can
> >> we merge this into the ARM SoC tree once we have consensus,
> >> so we get some rotation in linux-next that way?
> >
> > Yes good idea.
> >
> >> Olof/Arnd?
> >
> > I suggest we set up an immutable branch against
> > v3.8-rc1 when it's out with only these patches in it.
> > Then we can all merge it in as needed. Maybe Arnd or
> > Olof can set up the branch?
> 
> I haven't reviewed the patches yet, but this flow sounds reasonable to me.

OK cool.
 
> > FYI, looks like I need to merge in this branch too to
> > avoid build errors with remoteproc enabled once I flip
> > on the multiplatform support for omap2+.
> 
> While we can make the branch stable, would it make sense to make
> remoteproc for omap depend on !multiplatform during the transition, to
> reduce dependencies a little? Either way works, but it'd be nice to
> keep them independent if we can.

Yes I'll update the omap multiplat fixups patch I posted yesterday.
I noticed it only after running make randconfig for a while.

Regards,

Tony